Subject: Re: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Sep 2022 12:06:49 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 03 Sep 2022 10:04:14 +0200
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >> Actually, I think we'll need one more small change.  These hooks are
> >> called from update_begin and update_end like this:
> >
> > Dmitrii, do you want to try implementing that?
> 
> Searching the web for "emacs synchronized updates" turned up this patch,
> which you could try
> 
> https://gist.github.com/Patryk27/c7b9dac8113f4ccdb2ef74e0083d9d41

Just without the explicit calls to fflush, please.  I think that's
there to cover for the bug in update_frame which I mentioned before.